<?php

namespace App\Generated\V1_1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class KeepCpMessage extends Message
{
    use ValueHelper;

    protected $roomId;
    protected $result;

    /**
     * @return int
     */
    public function getRoomId()
    {
        return $this->roomId;
    }

    public function requestRules()
    {
        return [
            ['roomId', 'room_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
